define([
    'jquery',
    'matchMedia',
    'jquery/ui'
], function ($, mediaCheck) {
    'use strict';

    $.widget('filoblu.rmaForm', {

        options: {
            simpleRma: '',
            messageBlock: ''
        },

        _create: function () {
            this._handleMessage(this.options.simpleRma, this.options.messageBlock);
        },

        _handleMessage: function (checkbox, message) {
            $(checkbox).change(function () {
                if ( this.checked ){
                    $(message).css('display', 'block');
                }else{
                    $(message).css('display', 'none');
                }
            });
        }
    });

    return $.filoblu.rmaForm;
});
